function [nth_rt,iterations,hstry] = nrt(varargin)
%This function will use a Newton Search Technique to find
%the nth root of a number, a, to the tolerance, tol.
% The square root
% nrt(10,2), or nrt(10,2,1e-9)
% The "n" root
% nrt(10,n), or nrt(10,n,1e-9)
%
% USAGE: [nth_rt,iterations,hstry] = nrt(10,4,1e-9)

a=varargin{1};
n=varargin{2};

if nargin~=3
    tol=1e-9;
else
    tol=varargin{3};
end

if a<0
    nth_rt=0;
    iterations=0;
    hstry=zeros(1,50);
else
    [nth_rt,hstry] = newtonSearchAlgorithm(a,n,tol);
    % Determine iterations
    iterations = 0;
    for jj=1:length(hstry)
        if hstry(jj)~=0
            iterations = iterations +1;
        else
            break;
        end
    end
    %iterations=length(find(hstry~=0));     
end
